alloc_netdev_mq
Prev | Driver Support | Next

## Name

alloc_netdev_mq — allocate network device

## Synopsis

`struct net_device * alloc_netdev_mq (` | int | sizeof_priv,
| const char * | name,
| void (* | setup`(`struct net_device *`)`,
| unsigned int | queue_count`)`;

## Arguments

`sizeof_priv`

  size of private data to allocate space for

`name`

  device name format string

`setup`

  callback to initialize device

`queue_count`

  the number of subqueues to allocate

## Description

Allocates a struct net_device with private data area for driver use and performs basic initialization. Also allocates subquue structs for each queue on the device at the end of the netdevice.

Prev | Up | Next
register_netdev | Home | free_netdev